jena-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From a...@apache.org
Subject svn commit: r1291706 - in /incubator/jena/Jena2/JenaZip/trunk: bat/rupdate.bat bat/schemagen.bat bin/rupdate bin/schemagen cmd-maker
Date Tue, 21 Feb 2012 10:59:21 GMT
Author: andy
Date: Tue Feb 21 10:59:21 2012
New Revision: 1291706

URL: http://svn.apache.org/viewvc?rev=1291706&view=rev
Log:
missed out jena.schemagen; add arq.rupdate

Added:
    incubator/jena/Jena2/JenaZip/trunk/bat/rupdate.bat
    incubator/jena/Jena2/JenaZip/trunk/bat/schemagen.bat
    incubator/jena/Jena2/JenaZip/trunk/bin/rupdate
    incubator/jena/Jena2/JenaZip/trunk/bin/schemagen
Modified:
    incubator/jena/Jena2/JenaZip/trunk/cmd-maker

Added: incubator/jena/Jena2/JenaZip/trunk/bat/rupdate.bat
URL: http://svn.apache.org/viewvc/incubator/jena/Jena2/JenaZip/trunk/bat/rupdate.bat?rev=1291706&view=auto
==============================================================================
--- incubator/jena/Jena2/JenaZip/trunk/bat/rupdate.bat (added)
+++ incubator/jena/Jena2/JenaZip/trunk/bat/rupdate.bat Tue Feb 21 10:59:21 2012
@@ -0,0 +1,14 @@
+@echo off
+
+if NOT "%JENAROOT%" == "" goto :okRoot
+echo JENAROOT not set
+exit /B
+
+:okRoot
+
+set JVM_ARGS=-Xmx1024M
+set JENA_CP="%JENAROOT%\lib\*;"
+set LOGGING=-Dlog4j.configuration=file:%JENAROOT%/log4j.properties
+
+java %JVM_ARGS% %LOGGING% -cp %JENA_CP% arq.rupdate %*
+exit /B

Added: incubator/jena/Jena2/JenaZip/trunk/bat/schemagen.bat
URL: http://svn.apache.org/viewvc/incubator/jena/Jena2/JenaZip/trunk/bat/schemagen.bat?rev=1291706&view=auto
==============================================================================
--- incubator/jena/Jena2/JenaZip/trunk/bat/schemagen.bat (added)
+++ incubator/jena/Jena2/JenaZip/trunk/bat/schemagen.bat Tue Feb 21 10:59:21 2012
@@ -0,0 +1,14 @@
+@echo off
+
+if NOT "%JENAROOT%" == "" goto :okRoot
+echo JENAROOT not set
+exit /B
+
+:okRoot
+
+set JVM_ARGS=-Xmx1024M
+set JENA_CP="%JENAROOT%\lib\*;"
+set LOGGING=-Dlog4j.configuration=file:%JENAROOT%/log4j.properties
+
+java %JVM_ARGS% %LOGGING% -cp %JENA_CP% jena.schemagen %*
+exit /B

Added: incubator/jena/Jena2/JenaZip/trunk/bin/rupdate
URL: http://svn.apache.org/viewvc/incubator/jena/Jena2/JenaZip/trunk/bin/rupdate?rev=1291706&view=auto
==============================================================================
--- incubator/jena/Jena2/JenaZip/trunk/bin/rupdate (added)
+++ incubator/jena/Jena2/JenaZip/trunk/bin/rupdate Tue Feb 21 10:59:21 2012
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+ROOT="$JENAROOT"
+if [ -z "$ROOT" ]
+then
+    ROOT="$ARQROOT"
+    fi
+if [ -z "$ROOT" ]
+then
+    echo "JENAROOT not set" 1>&2
+    exit 1
+    fi
+
+
+# ---- Setup
+JVM_ARGS=${JVM_ARGS:--Xmx1024M}
+# Expand JENAROOT but literal *
+JENA_CP="$JENAROOT"'/lib/*'
+SOCKS=
+LOGGING="-Dlog4j.configuration=file:$JENAROOT/log4j.properties"
+
+java $JVM_ARGS $LOGGING -cp "$JENA_CP" arq.rupdate "$@" 

Added: incubator/jena/Jena2/JenaZip/trunk/bin/schemagen
URL: http://svn.apache.org/viewvc/incubator/jena/Jena2/JenaZip/trunk/bin/schemagen?rev=1291706&view=auto
==============================================================================
--- incubator/jena/Jena2/JenaZip/trunk/bin/schemagen (added)
+++ incubator/jena/Jena2/JenaZip/trunk/bin/schemagen Tue Feb 21 10:59:21 2012
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+ROOT="$JENAROOT"
+if [ -z "$ROOT" ]
+then
+    ROOT="$ARQROOT"
+    fi
+if [ -z "$ROOT" ]
+then
+    echo "JENAROOT not set" 1>&2
+    exit 1
+    fi
+
+
+# ---- Setup
+JVM_ARGS=${JVM_ARGS:--Xmx1024M}
+# Expand JENAROOT but literal *
+JENA_CP="$JENAROOT"'/lib/*'
+SOCKS=
+LOGGING="-Dlog4j.configuration=file:$JENAROOT/log4j.properties"
+
+java $JVM_ARGS $LOGGING -cp "$JENA_CP" jena.schemagen "$@" 

Modified: incubator/jena/Jena2/JenaZip/trunk/cmd-maker
URL: http://svn.apache.org/viewvc/incubator/jena/Jena2/JenaZip/trunk/cmd-maker?rev=1291706&r1=1291705&r2=1291706&view=diff
==============================================================================
--- incubator/jena/Jena2/JenaZip/trunk/cmd-maker (original)
+++ incubator/jena/Jena2/JenaZip/trunk/cmd-maker Tue Feb 21 10:59:21 2012
@@ -5,6 +5,7 @@ jena.rdfcat
 jena.rdfcompare
 jena.rdfcopy
 jena.rdfparse
+jena.schemagen
 arq.sparql
 arq.arq
 arq.iri



Mime
View raw message